language: cn
model_unique_abbr: Flow_GearyC
version: 1.0.0
identification:
  docker_image_name: spark-geoflow:2.0
  model_name: 地理流的Geary'C指数分析
  description: 该方法旨在计算OD流的局部Getis-Ord GI*统计值，进行热点分析。
  category_application: 诊断型
  category_data:
    - 流数据分析
  keywords:
    - 地理流
    - 热点分析

parameter_info:
  parameters:
    - arg_name: ' '
      is_positional_arg: true
      param_type: param
      visible: false
      name: 算法名称
      description: 算法的名称或者是一个特定的操作指令
      is_required: false
      data_type: str
      specification:
        default: flow-gearyc
    - arg_name: od
      is_positional_arg: true
      param_type: input_data
      name: 流数据文件
      description: 记录流空间位置和属性的CSV文件
      data_type: csv
      data_semantic: od_flow
    - arg_name: od_gearyc
      is_positional_arg: true
      param_type: output_data
      name: 输出数据文件
      description: 算法的结果将会保存在这个输出文件夹
      data_type: str
      data_semantic: od_gearyc
    - arg_name: od_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 流文件中的列索引. 依次输入流的起点经纬度、终点经纬度和属性对应的列索引（从0开始起计）, 采用","分割。
      #is_required: false
      data_type: str
      data_semantic: od_index


application:
  domain: 地理流
  objective: OD流热点分析


operation:
  usage: 使用方法描述
  exec_example:
    - docker run -u 0 $(pwd)/data:/geoflow/data crazy-zlj:spark_geoflow:1.0 flow-gearyc /data/phone_flows.csv /data/gearyc 0,1,2,3,4
  output_display:
    - 输出显示描述

technique:
  language: [scala]
  os: [windows, linux]

source:
  maintainer: Xingchen Fan
  organization: "Institute of Geographic Sciences & Natural Resources Research, Chinese Academy of Sciences"
  contact: fanxc@lreis.ac.cn
  references:
    - 参考文献1
